import 'package:flutter/material.dart';
import '../enums.dart';

enum DamageTarget { player, enemy }

class DamageEvent {
  final int damage;
  final int armorDamage; // New field
  final DamageTarget target;
  final DamageType type;
  final RiskLevel? risk;

  DamageEvent({
    required this.damage,
    this.armorDamage = 0,
    required this.target,
    this.type = DamageType.normal,
    this.risk,
  });

  Color get color {
    switch (type) {
      case DamageType.normal:
        return Colors.grey;
      case DamageType.bleed:
        return Colors.red;
      case DamageType.vulnerable:
        return Colors.orange;
    }
  }
}
